<div class="login-outer">
  <div class="container">
      <div class="row">
          <div class="col-sm-12">
              <div class="cont-login">
                  <div class="form-box">
                      <h4 class="border-ttl">Company Details</h4>
                      <form [formGroup]="companyDetailsForm" (ngSubmit)="savecompanyDetails()">  
                          <div class="form-group p-0">
                              <div class="row">
                                  <div class="col-4 pb-3"><label>Company Name</label></div>
                                  <div class="col-8 pb-3">
                                    <input type="text" name="" formControlName = "companyName" class="form-control" placeholder="Enter Company Name">
                                    <!-- Error Messages -->
                                    <span class="col-12 help-block bottom fs12 text-left t-red" *ngFor="let validation of errors.companyName">
                                      <span  *ngIf="companyDetailsForm.get('companyName').hasError(validation.type) && (companyDetailsForm.get('companyName').dirty || companyDetailsForm.get('companyName').touched)">
                                          {{validation.message}}
                                      </span>
                                    </span>
                                  </div>
                              </div>
                          </div>
                          <div class="form-group p-0">
                              <div class="row">
                                  <div class="col-4 pb-3"><label>Company Description</label></div>
                                  <div class="col-8 pb-3">
                                    <input type="text" name="" formControlName = "companyDescription" class="form-control" placeholder="Enter Company Description">
                                    <!-- Error Messages -->
                                    <span class="col-12 help-block bottom fs12 text-left t-red" *ngFor="let validation of errors.companyDescription">
                                      <span  *ngIf="companyDetailsForm.get('companyDescription').hasError(validation.type) && (companyDetailsForm.get('companyDescription').dirty || companyDetailsForm.get('companyDescription').touched)">
                                          {{validation.message}}
                                      </span>
                                    </span>
                                  </div>
                              </div>
                          </div>
                          <div class="form-group p-0">
                              <div class="row">
                                  <div class="col-4 pb-3"><label>Brand Name</label></div>
                                  <div class="col-8 pb-3">
                                    <input type="text" name="" formControlName = "brandName" class="form-control" placeholder="Enter Brand Name">
                                    <!-- Error Messages -->
                                    <span class="col-12 help-block bottom fs12 text-left t-red" *ngFor="let validation of errors.brandName">
                                      <span  *ngIf="companyDetailsForm.get('brandName').hasError(validation.type) && (companyDetailsForm.get('brandName').dirty || companyDetailsForm.get('brandName').touched)">
                                          {{validation.message}}
                                      </span>
                                    </span>
                                  </div>
                              </div>
                          </div>
                          <div class="form-group p-0">
                              <div class="row">
                                  <div class="col-4 pb-3"><label>Company Number</label></div>
                                  <div class="col-8 pb-3">
                                    <input type="text" name="" formControlName = "companyNo" class="form-control" placeholder="Enter Company Number">
                                    <!-- Error Messages -->
                                    <span class="col-12 help-block bottom fs12 text-left t-red" *ngFor="let validation of errors.companyNo">
                                      <span  *ngIf="companyDetailsForm.get('companyNo').hasError(validation.type) && (companyDetailsForm.get('companyNo').dirty || companyDetailsForm.get('companyNo').touched)">
                                          {{validation.message}}
                                      </span>
                                    </span>
                                  </div>
                              </div>
                          </div>
                          <div class="form-group p-0">
                              <div class="row">
                                  <div class="col-4 pb-3"><label>VAT Number</label></div>
                                  <div class="col-8 pb-3">
                                    <input type="text" name="" formControlName = "vatNo" class="form-control" placeholder="Enter VAT Number">
                                    <!-- Error Messages -->
                                    <span class="col-12 help-block bottom fs12 text-left t-red" *ngFor="let validation of errors.vatNo">
                                      <span  *ngIf="companyDetailsForm.get('vatNo').hasError(validation.type) && (companyDetailsForm.get('vatNo').dirty || companyDetailsForm.get('vatNo').touched)">
                                          {{validation.message}}
                                      </span>
                                    </span>
                                  </div>
                              </div>
                          </div>
                          <div class="form-group p-0">
                              <div class="row">
                                  <div class="col-4 pb-3"><label>Hiring Capacity per Month</label></div>
                                  <div class="col-8 pb-3">
                                    <input type="text" name="" formControlName = "capacity" class="form-control" placeholder="Enter Hiring Capacity">
                                    <!-- Error Messages -->
                                    <span class="col-12 help-block bottom fs12 text-left t-red" *ngFor="let validation of errors.capacity">
                                      <span  *ngIf="companyDetailsForm.get('capacity').hasError(validation.type) && (companyDetailsForm.get('capacity').dirty || companyDetailsForm.get('capacity').touched)">
                                          {{validation.message}}
                                      </span>
                                    </span>
                                  </div>
                              </div>
                          </div>
                          <div class="form-group p-0 text-center">
                              <input type="submit" name="" value="Save" class="btn">
                          </div>
                      </form>
                  </div>
                  
              </div>
          </div>    
      </div>
  </div>
</div>